# GetCustomerData POST https://api-demo.brij.fi/brij.core.v1.partner.Service/GetCustomerData Content-Type: application/json Retrieve all shared data and attestation records for a customer. This returns the customer's verified information that has been shared with your partner integration. Reference: https://docs.brij.fi/api/brij-partner-api/brij-core-v-1-partner-service-get-customer-data ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: partner-api version: 1.0.0 paths: /brij.core.v1.partner.Service/GetCustomerData: post: operationId: brij-core-v-1-partner-service-get-customer-data summary: GetCustomerData description: >- Retrieve all shared data and attestation records for a customer. This returns the customer's verified information that has been shared with your partner integration. tags: - '' parameters: - name: X-API-Key in: header required: true schema: type: string responses: '200': description: Success content: application/json: schema: $ref: >- #/components/schemas/brij.core.v1.partner.GetCustomerDataResponse requestBody: content: application/json: schema: $ref: '#/components/schemas/brij.core.v1.partner.GetCustomerDataRequest' servers: - url: https://api-demo.brij.fi - url: https://api.brij.fi components: schemas: brij.core.v1.partner.GetCustomerDataRequest: type: object properties: customerId: type: string description: Partner customer data requests and responses title: brij.core.v1.partner.GetCustomerDataRequest BrijDataV1AccountPurpose0: type: object properties: other: type: string required: - other title: BrijDataV1AccountPurpose0 brij.data.v1.AccountPurpose.Type: type: string enum: - INVESTMENT - SAVINGS - PAYMENTS - REMITTANCES - EXPENSES - FREELANCING - SALARY title: brij.data.v1.AccountPurpose.Type BrijDataV1AccountPurpose1: type: object properties: type: $ref: '#/components/schemas/brij.data.v1.AccountPurpose.Type' required: - type title: BrijDataV1AccountPurpose1 brij.data.v1.AccountPurpose: oneOf: - $ref: '#/components/schemas/BrijDataV1AccountPurpose0' - $ref: '#/components/schemas/BrijDataV1AccountPurpose1' title: brij.data.v1.AccountPurpose BrijCoreV1CustomerData0: type: object properties: accountPurpose: $ref: '#/components/schemas/brij.data.v1.AccountPurpose' required: - accountPurpose title: BrijCoreV1CustomerData0 brij.data.v1.BankAccount.Ach: type: object properties: accountNumber: type: string routingNumber: type: string title: brij.data.v1.BankAccount.Ach BrijDataV1BankAccount0: type: object properties: ach: $ref: '#/components/schemas/brij.data.v1.BankAccount.Ach' required: - ach title: BrijDataV1BankAccount0 brij.data.v1.BankAccount.Clabe: type: object properties: accountNumber: type: string title: brij.data.v1.BankAccount.Clabe BrijDataV1BankAccount1: type: object properties: clabe: $ref: '#/components/schemas/brij.data.v1.BankAccount.Clabe' required: - clabe title: BrijDataV1BankAccount1 brij.data.v1.BankAccount.Iban: type: object properties: accountNumber: type: string country: type: string bic: type: string title: brij.data.v1.BankAccount.Iban BrijDataV1BankAccount2: type: object properties: iban: $ref: '#/components/schemas/brij.data.v1.BankAccount.Iban' required: - iban title: BrijDataV1BankAccount2 brij.data.v1.BankAccount.Nuban: type: object properties: accountNumber: type: string bankCode: type: string title: brij.data.v1.BankAccount.Nuban BrijDataV1BankAccount3: type: object properties: nuban: $ref: '#/components/schemas/brij.data.v1.BankAccount.Nuban' required: - nuban title: BrijDataV1BankAccount3 BrijDataV1BankAccountPix0: type: object properties: brCode: type: string required: - brCode title: BrijDataV1BankAccountPix0 BrijDataV1BankAccountPix1: type: object properties: pixKey: type: string required: - pixKey title: BrijDataV1BankAccountPix1 brij.data.v1.BankAccount.Pix: oneOf: - $ref: '#/components/schemas/BrijDataV1BankAccountPix0' - $ref: '#/components/schemas/BrijDataV1BankAccountPix1' title: brij.data.v1.BankAccount.Pix BrijDataV1BankAccount4: type: object properties: pix: $ref: '#/components/schemas/brij.data.v1.BankAccount.Pix' required: - pix title: BrijDataV1BankAccount4 brij.data.v1.BankAccount: oneOf: - $ref: '#/components/schemas/BrijDataV1BankAccount0' - $ref: '#/components/schemas/BrijDataV1BankAccount1' - $ref: '#/components/schemas/BrijDataV1BankAccount2' - $ref: '#/components/schemas/BrijDataV1BankAccount3' - $ref: '#/components/schemas/BrijDataV1BankAccount4' title: brij.data.v1.BankAccount BrijCoreV1CustomerData1: type: object properties: bankAccount: $ref: '#/components/schemas/brij.data.v1.BankAccount' required: - bankAccount title: BrijCoreV1CustomerData1 brij.data.v1.BirthDate: type: object properties: date: type: string description: 'ISO 8601 format: YYYY-MM-DD' title: brij.data.v1.BirthDate BrijCoreV1CustomerData2: type: object properties: birthDate: $ref: '#/components/schemas/brij.data.v1.BirthDate' required: - birthDate title: BrijCoreV1CustomerData2 brij.data.v1.CryptoWallet.Type: type: string enum: - SOLANA - BITCOIN - ETHEREUM - BSC - POLYGON - ARBITRUM - BASE - OPTIMISM - AVALANCHEC - AVALANCHEX - TRON - TON title: brij.data.v1.CryptoWallet.Type brij.data.v1.CryptoWallet: type: object properties: address: type: string description: Wallet address (e.g., Base58 for Solana) type: $ref: '#/components/schemas/brij.data.v1.CryptoWallet.Type' description: Type of blockchain wallet title: brij.data.v1.CryptoWallet BrijCoreV1CustomerData3: type: object properties: cryptoWallet: $ref: '#/components/schemas/brij.data.v1.CryptoWallet' required: - cryptoWallet title: BrijCoreV1CustomerData3 brij.data.v1.Email: type: object properties: value: type: string title: brij.data.v1.Email BrijCoreV1CustomerData4: type: object properties: email: $ref: '#/components/schemas/brij.data.v1.Email' required: - email title: BrijCoreV1CustomerData4 BrijDataV1EmploymentStatus0: type: object properties: other: type: string required: - other title: BrijDataV1EmploymentStatus0 brij.data.v1.EmploymentStatus.Type: type: string enum: - EMPLOYED - SELF_EMPLOYED - BUSINESS_OWNER - RETIRED - UNEMPLOYED - HOMEMAKER - STUDENT title: brij.data.v1.EmploymentStatus.Type BrijDataV1EmploymentStatus1: type: object properties: type: $ref: '#/components/schemas/brij.data.v1.EmploymentStatus.Type' required: - type title: BrijDataV1EmploymentStatus1 brij.data.v1.EmploymentStatus: oneOf: - $ref: '#/components/schemas/BrijDataV1EmploymentStatus0' - $ref: '#/components/schemas/BrijDataV1EmploymentStatus1' title: brij.data.v1.EmploymentStatus BrijCoreV1CustomerData5: type: object properties: employmentStatus: $ref: '#/components/schemas/brij.data.v1.EmploymentStatus' required: - employmentStatus title: BrijCoreV1CustomerData5 brij.data.v1.ExpectedMonthlyPayments.Category: type: string enum: - USD_0K_1K - USD_1K_10K - USD_10K_50K - USD_50K_200K - USD_200K_PLUS title: brij.data.v1.ExpectedMonthlyPayments.Category brij.data.v1.ExpectedMonthlyPayments: type: object properties: category: $ref: '#/components/schemas/brij.data.v1.ExpectedMonthlyPayments.Category' title: brij.data.v1.ExpectedMonthlyPayments BrijCoreV1CustomerData6: type: object properties: expectedMonthlyPayments: $ref: '#/components/schemas/brij.data.v1.ExpectedMonthlyPayments' required: - expectedMonthlyPayments title: BrijCoreV1CustomerData6 brij.data.v1.IdDocumentType: type: string enum: - PASSPORT - DRIVERS_LICENSE - ID_CARD - RESIDENCE_PERMIT title: brij.data.v1.IdDocumentType brij.data.v1.IdDocument: type: object properties: documentType: $ref: '#/components/schemas/brij.data.v1.IdDocumentType' documentNumber: type: string issuingCountry: type: string expiryDate: type: string description: ISO 8601 date format frontSideImage: type: string format: byte frontSideImageHash: type: string backSideImage: type: string format: byte backSideImageHash: type: string title: brij.data.v1.IdDocument BrijCoreV1CustomerData7: type: object properties: idDocument: $ref: '#/components/schemas/brij.data.v1.IdDocument' required: - idDocument title: BrijCoreV1CustomerData7 brij.data.v1.Intermediary: type: object properties: isIntermediary: type: - boolean - 'null' title: brij.data.v1.Intermediary BrijCoreV1CustomerData8: type: object properties: intermediary: $ref: '#/components/schemas/brij.data.v1.Intermediary' required: - intermediary title: BrijCoreV1CustomerData8 brij.data.v1.LastOccupation: type: object properties: code: type: string description: 6-digit occupation code (e.g., "111011" for Chief executive) title: brij.data.v1.LastOccupation BrijCoreV1CustomerData9: type: object properties: lastOccupation: $ref: '#/components/schemas/brij.data.v1.LastOccupation' required: - lastOccupation title: BrijCoreV1CustomerData9 brij.data.v1.Name: type: object properties: firstName: type: string lastName: type: string title: brij.data.v1.Name BrijCoreV1CustomerData10: type: object properties: name: $ref: '#/components/schemas/brij.data.v1.Name' required: - name title: BrijCoreV1CustomerData10 brij.data.v1.Nationality: type: object properties: country: type: string description: ISO 3166-1 alpha-3 country code title: brij.data.v1.Nationality BrijCoreV1CustomerData11: type: object properties: nationality: $ref: '#/components/schemas/brij.data.v1.Nationality' required: - nationality title: BrijCoreV1CustomerData11 brij.data.v1.Occupation: type: object properties: jobTitle: type: string companyName: type: string industry: type: string employmentStatus: type: string description: e.g., "EMPLOYED", "SELF_EMPLOYED", "UNEMPLOYED", "STUDENT" title: brij.data.v1.Occupation BrijCoreV1CustomerData12: type: object properties: occupation: $ref: '#/components/schemas/brij.data.v1.Occupation' required: - occupation title: BrijCoreV1CustomerData12 brij.data.v1.Phone: type: object properties: countryCode: type: string number: type: string title: brij.data.v1.Phone BrijCoreV1CustomerData13: type: object properties: phone: $ref: '#/components/schemas/brij.data.v1.Phone' required: - phone title: BrijCoreV1CustomerData13 brij.data.v1.ProofOfAddress: type: object properties: file: type: string format: byte fileHash: type: string country: type: string description: ISO 3166-1 alpha-3 country code title: brij.data.v1.ProofOfAddress BrijCoreV1CustomerData14: type: object properties: proofOfAddress: $ref: '#/components/schemas/brij.data.v1.ProofOfAddress' required: - proofOfAddress title: BrijCoreV1CustomerData14 brij.data.v1.Address: type: object properties: streetLine1: type: string streetLine2: type: string city: type: string postalCode: type: string country: type: string subdivision: type: string title: brij.data.v1.Address BrijCoreV1CustomerData15: type: object properties: residentialAddress: $ref: '#/components/schemas/brij.data.v1.Address' required: - residentialAddress title: BrijCoreV1CustomerData15 brij.data.v1.Selfie: type: object properties: image: type: string format: byte imageHash: type: string title: brij.data.v1.Selfie BrijCoreV1CustomerData16: type: object properties: selfie: $ref: '#/components/schemas/brij.data.v1.Selfie' required: - selfie title: BrijCoreV1CustomerData16 brij.data.v1.SourceOfFunds.Type: type: string enum: - EMPLOYMENT_SALARY - EMPLOYMENT_FREELANCING - EMPLOYMENT_PROFESSIONAL_FEES - BUSINESS_PROFITS - BUSINESS_DIVIDENDS - BUSINESS_PROCEEDS - SAVINGS_BANK_ACCOUNTS - SAVINGS_FINANCIAL_INVESTMENTS - SAVINGS_INTEREST_GAINS - SALE_OF_ASSETS - FAMILY_INHERITANCE - FAMILY_DONATIONS - FAMILY_ALLOWANCE - COMPENSATION_SEVERANCE - COMPENSATION_INSURANCE - COMPENSATION_LEGAL_SETTLEMENTS - LOANS_BANK - LOANS_PRIVATE_FAMILY - LOANS_P2P_MICROFINANCE - PENSIONS_RETIREMENT - PENSIONS_SOCIAL_BENEFITS - CRYPTO_TRADING_PROFITS - CRYPTO_NFT_SALES - CRYPTO_STAKING_INCOME - CRYPTO_EXTERNAL_WALLETS - CRYPTO_EXCHANGES - CRYPTO_ICO_DEFI title: brij.data.v1.SourceOfFunds.Type brij.data.v1.SourceOfFunds: type: object properties: type: $ref: '#/components/schemas/brij.data.v1.SourceOfFunds.Type' title: brij.data.v1.SourceOfFunds BrijCoreV1CustomerData17: type: object properties: sourceOfFunds: $ref: '#/components/schemas/brij.data.v1.SourceOfFunds' required: - sourceOfFunds title: BrijCoreV1CustomerData17 brij.data.v1.TaxId: type: object properties: country: type: string description: 3-letter country code (ISO 3166-1 alpha-3) type: type: string description: Tax ID type (e.g., "SSN", "EIN", "VAT", "TIN") number: type: string description: Tax identification number customType: type: string title: brij.data.v1.TaxId BrijCoreV1CustomerData18: type: object properties: taxId: $ref: '#/components/schemas/brij.data.v1.TaxId' required: - taxId title: BrijCoreV1CustomerData18 brij.core.v1.CustomerData: oneOf: - $ref: '#/components/schemas/BrijCoreV1CustomerData0' - $ref: '#/components/schemas/BrijCoreV1CustomerData1' - $ref: '#/components/schemas/BrijCoreV1CustomerData2' - $ref: '#/components/schemas/BrijCoreV1CustomerData3' - $ref: '#/components/schemas/BrijCoreV1CustomerData4' - $ref: '#/components/schemas/BrijCoreV1CustomerData5' - $ref: '#/components/schemas/BrijCoreV1CustomerData6' - $ref: '#/components/schemas/BrijCoreV1CustomerData7' - $ref: '#/components/schemas/BrijCoreV1CustomerData8' - $ref: '#/components/schemas/BrijCoreV1CustomerData9' - $ref: '#/components/schemas/BrijCoreV1CustomerData10' - $ref: '#/components/schemas/BrijCoreV1CustomerData11' - $ref: '#/components/schemas/BrijCoreV1CustomerData12' - $ref: '#/components/schemas/BrijCoreV1CustomerData13' - $ref: '#/components/schemas/BrijCoreV1CustomerData14' - $ref: '#/components/schemas/BrijCoreV1CustomerData15' - $ref: '#/components/schemas/BrijCoreV1CustomerData16' - $ref: '#/components/schemas/BrijCoreV1CustomerData17' - $ref: '#/components/schemas/BrijCoreV1CustomerData18' title: brij.core.v1.CustomerData brij.data.v1.AttestationType: type: string enum: - VALIDATED_EMAIL - VALIDATED_PHONE - VALIDATED_ID_DOCUMENT - LIVENESS_CHECK - AML_CHECK - TERMS - VALIDATED_CRYPTO_WALLET description: Attestation types supported by the system title: brij.data.v1.AttestationType brij.data.v1.AttestationStatus: type: string enum: - WAITING_USER_ACTION - IN_PROGRESS - COMPLETED - FAILED - REJECTED - EXPIRED - REVOKED description: Attestation status during lifecycle title: brij.data.v1.AttestationStatus brij.data.v1.AmlProof: type: object properties: {} description: AML/KYC screening verification proof title: brij.data.v1.AmlProof BrijDataV1AttestationProof0: type: object properties: amlProof: $ref: '#/components/schemas/brij.data.v1.AmlProof' required: - amlProof title: BrijDataV1AttestationProof0 brij.data.v1.CryptoWalletProof: type: object properties: method: type: string description: '"signature_verification"' walletType: $ref: '#/components/schemas/brij.data.v1.CryptoWallet.Type' description: Type of wallet (SOLANA, etc.) challengeMessage: type: string description: The challenge message that was signed signature: type: string description: Base58-encoded signature description: Crypto wallet ownership proof (signature-based) title: brij.data.v1.CryptoWalletProof BrijDataV1AttestationProof1: type: object properties: cryptoWalletProof: $ref: '#/components/schemas/brij.data.v1.CryptoWalletProof' required: - cryptoWalletProof title: BrijDataV1AttestationProof1 brij.data.v1.EmailProof: type: object properties: method: type: string description: '"otp"' otpHash: type: string description: SHA-256 hash of the OTP code description: Email verification proof (OTP-based) title: brij.data.v1.EmailProof BrijDataV1AttestationProof2: type: object properties: emailProof: $ref: '#/components/schemas/brij.data.v1.EmailProof' required: - emailProof title: BrijDataV1AttestationProof2 brij.data.v1.IdDocumentProof: type: object properties: {} description: ID document verification proof title: brij.data.v1.IdDocumentProof BrijDataV1AttestationProof3: type: object properties: idDocumentProof: $ref: '#/components/schemas/brij.data.v1.IdDocumentProof' required: - idDocumentProof title: BrijDataV1AttestationProof3 brij.data.v1.LivenessProof: type: object properties: method: type: string description: '"video", "photos"' description: Liveness check verification proof title: brij.data.v1.LivenessProof BrijDataV1AttestationProof4: type: object properties: livenessProof: $ref: '#/components/schemas/brij.data.v1.LivenessProof' required: - livenessProof title: BrijDataV1AttestationProof4 brij.data.v1.PhoneProof: type: object properties: method: type: string description: '"sms_otp"' otpHash: type: string description: SHA-256 hash of the OTP code description: Phone verification proof (SMS OTP-based) title: brij.data.v1.PhoneProof BrijDataV1AttestationProof5: type: object properties: phoneProof: $ref: '#/components/schemas/brij.data.v1.PhoneProof' required: - phoneProof title: BrijDataV1AttestationProof5 brij.data.v1.TermsProof: type: object properties: acceptanceCode: type: string description: Optional acceptance code from partner's dynamic terms flow description: Terms & Conditions acceptance proof title: brij.data.v1.TermsProof BrijDataV1AttestationProof6: type: object properties: termsProof: $ref: '#/components/schemas/brij.data.v1.TermsProof' required: - termsProof title: BrijDataV1AttestationProof6 brij.data.v1.AttestationProof: oneOf: - $ref: '#/components/schemas/BrijDataV1AttestationProof0' - $ref: '#/components/schemas/BrijDataV1AttestationProof1' - $ref: '#/components/schemas/BrijDataV1AttestationProof2' - $ref: '#/components/schemas/BrijDataV1AttestationProof3' - $ref: '#/components/schemas/BrijDataV1AttestationProof4' - $ref: '#/components/schemas/BrijDataV1AttestationProof5' - $ref: '#/components/schemas/BrijDataV1AttestationProof6' description: >- AttestationProof contains cryptographic proof of customer data verification Stored as protobuf-serialized BYTEA in attestations.proof_data column The signature is computed over the hash of this serialized message and stored separately title: brij.data.v1.AttestationProof google.protobuf.Timestamp: type: string format: date-time description: >- A Timestamp represents a point in time independent of any time zone or local calendar, encoded as a count of seconds and fractions of seconds at nanosecond resolution. The count is relative to an epoch at UTC midnight on January 1, 1970, in the proleptic Gregorian calendar which extends the Gregorian calendar backwards to year one. All minutes are 60 seconds long. Leap seconds are "smeared" so that no leap second table is needed for interpretation, using a [24-hour linear smear](https://developers.google.com/time/smear). The range is from 0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z. By restricting to that range, we ensure that we can convert to and from [RFC 3339](https://www.ietf.org/rfc/rfc3339.txt) date strings. # Examples Example 1: Compute Timestamp from POSIX `time()`. Timestamp timestamp; timestamp.set_seconds(time(NULL)); timestamp.set_nanos(0); Example 2: Compute Timestamp from POSIX `gettimeofday()`. struct timeval tv; gettimeofday(&tv, NULL); Timestamp timestamp; timestamp.set_seconds(tv.tv_sec); timestamp.set_nanos(tv.tv_usec * 1000); Example 3: Compute Timestamp from Win32 `GetSystemTimeAsFileTime()`. FILETIME ft; GetSystemTimeAsFileTime(&ft); UINT64 ticks = (((UINT64)ft.dwHighDateTime) << 32) | ft.dwLowDateTime; // A Windows tick is 100 nanoseconds. Windows epoch 1601-01-01T00:00:00Z // is 11644473600 seconds before Unix epoch 1970-01-01T00:00:00Z. Timestamp timestamp; timestamp.set_seconds((INT64) ((ticks / 10000000) - 11644473600LL)); timestamp.set_nanos((INT32) ((ticks % 10000000) * 100)); Example 4: Compute Timestamp from Java `System.currentTimeMillis()`. long millis = System.currentTimeMillis(); Timestamp timestamp = Timestamp.newBuilder().setSeconds(millis / 1000) .setNanos((int) ((millis % 1000) * 1000000)).build(); Example 5: Compute Timestamp from Java `Instant.now()`. Instant now = Instant.now(); Timestamp timestamp = Timestamp.newBuilder().setSeconds(now.getEpochSecond()) .setNanos(now.getNano()).build(); Example 6: Compute Timestamp from current time in Python. timestamp = Timestamp() timestamp.GetCurrentTime() # JSON Mapping In JSON format, the Timestamp type is encoded as a string in the [RFC 3339](https://www.ietf.org/rfc/rfc3339.txt) format. That is, the format is "{year}-{month}-{day}T{hour}:{min}:{sec}[.{frac_sec}]Z" where {year} is always expressed using four digits while {month}, {day}, {hour}, {min}, and {sec} are zero-padded to two digits each. The fractional seconds, which can go up to 9 digits (i.e. up to 1 nanosecond resolution), are optional. The "Z" suffix indicates the timezone ("UTC"); the timezone is required. A proto3 JSON serializer should always use UTC (as indicated by "Z") when printing the Timestamp type and a proto3 JSON parser should be able to accept both UTC and other timezones (as indicated by an offset). For example, "2017-01-15T01:30:15.01Z" encodes 15.01 seconds past 01:30 UTC on January 15, 2017. In JavaScript, one can convert a Date object to this format using the standard [toISOString()](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Date/toISOString) method. In Python, a standard `datetime.datetime` object can be converted to this format using [`strftime`](https://docs.python.org/2/library/time.html#time.strftime) with the time format spec '%Y-%m-%dT%H:%M:%S.%fZ'. Likewise, in Java, one can use the Joda Time's [`ISODateTimeFormat.dateTime()`]( http://joda-time.sourceforge.net/apidocs/org/joda/time/format/ISODateTimeFormat.html#dateTime() ) to obtain a formatter capable of generating timestamps in this format. title: google.protobuf.Timestamp brij.core.v1.partner.AttestationRecord: type: object properties: id: type: string type: $ref: '#/components/schemas/brij.data.v1.AttestationType' status: $ref: '#/components/schemas/brij.data.v1.AttestationStatus' linkedDataIds: type: array items: type: string rawProof: type: string format: byte signature: type: string format: byte verifierPublicKey: type: string proof: $ref: '#/components/schemas/brij.data.v1.AttestationProof' verifiedAt: $ref: '#/components/schemas/google.protobuf.Timestamp' description: Partner-specific attestation record title: brij.core.v1.partner.AttestationRecord brij.core.v1.partner.GetCustomerDataResponse: type: object properties: customerData: type: array items: $ref: '#/components/schemas/brij.core.v1.CustomerData' attestationRecords: type: array items: $ref: '#/components/schemas/brij.core.v1.partner.AttestationRecord' title: brij.core.v1.partner.GetCustomerDataResponse securitySchemes: PartnerApiKey: type: apiKey in: header name: X-API-Key ``` ## SDK Code Examples ```python import requests url = "https://api-demo.brij.fi/brij.core.v1.partner.Service/GetCustomerData" payload = {} headers = { "X-API-Key": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api-demo.brij.fi/brij.core.v1.partner.Service/GetCustomerData'; const options = { method: 'POST', headers: {'X-API-Key': '', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api-demo.brij.fi/brij.core.v1.partner.Service/GetCustomerData" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("X-API-Key", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api-demo.brij.fi/brij.core.v1.partner.Service/GetCustomerData") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["X-API-Key"] = '' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api-demo.brij.fi/brij.core.v1.partner.Service/GetCustomerData") .header("X-API-Key", "") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('POST', 'https://api-demo.brij.fi/brij.core.v1.partner.Service/GetCustomerData', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', 'X-API-Key' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api-demo.brij.fi/brij.core.v1.partner.Service/GetCustomerData"); var request = new RestRequest(Method.POST); request.AddHeader("X-API-Key", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "X-API-Key": "", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api-demo.brij.fi/brij.core.v1.partner.Service/GetCustomerData")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```